Subject: bug#29219: CUPS filter still can't access Ghostscript (gs)

From: Mekeor Melire <[email-masked]>
Date: Wed, 08 Nov 2017 21:50:52 +0100

I added two printers through CUPS' web interface (localhost:631) using
the PPD driver file which I downloaded (from openprinting.org): one
called ljet4 (which calls Ghostscript) and one called Postscript (which
just calls `cat`)⁰. The latter worked.

But although I was expecting commit
1728c411718e3b358c06561d6e80b47d7b331617¹ to fix this issue, when I try
the ljet4² driver, I still get this error in /var/log/cups/error_log³:

    sh: gs: command not found
    Process is dying with \"Unable to determine number of pages, page count: -1
    \", exit stat 3

Is anybody able to reproduce this issue?

How can I be sure that the cups-service I'm running is the recent one
which includes that commit? (I tried pulling guix and rebuilding the
system afterwards and restarting cups-service afterwards.)

What am I doing wrong?

⁰: https://www.openprinting.org/ppd-o-matic.php?driver=Postscript&printer=Kyocera-FS-920&show=1
¹: https://git.savannah.gnu.org/cgit/guix.git/commit/?id=1728c411718e3b358c06561d6e80b47d7b331617
²: https://www.openprinting.org/ppd-o-matic.php?driver=ljet4&printer=Kyocera-FS-920&show=1
³: http://sprunge.us/EMbF

--
mekeor ~ EDD3 DFFA 76F6 11C0 145F 9A99 AC85 BAD8 A2F8 C868